# Class XmrTx

#### Hierarchy

- unknown
  - XmrTx

- Defined in src/protobuf/grpc_pb.d.ts:3128
- Defined in src/protobuf/grpc_pb.d.ts:3168

#####
Index

### Constructors

constructor

### Methods

addIncomingTransfers
clearIncomingTransfersList
clearOutgoingTransfer
getFee
getHash
getHeight
getIncomingTransfersList
getIsConfirmed
getIsLocked
getMetadata
getOutgoingTransfer
getTimestamp
hasOutgoingTransfer
serializeBinary
setFee
setHash
setHeight
setIncomingTransfersList
setIsConfirmed
setIsLocked
setMetadata
setOutgoingTransfer
setTimestamp
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new XmrTx(): XmrTx

- #### Returns XmrTx

  Inherited from jspb.Message.constructor

## Methods

### addIncomingTransfers

- addIncomingTransfers(value?: XmrIncomingTransfer, index?: number): XmrIncomingTransfer

- #### Parameters

  - ##### `Optional` value: XmrIncomingTransfer

  - ##### `Optional` index: number

  #### Returns XmrIncomingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3150

### clearIncomingTransfersList

- clearIncomingTransfersList(): XmrTx

- #### Returns XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3149

### clearOutgoingTransfer

- clearOutgoingTransfer(): XmrTx

- #### Returns XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3155

### getFee

- getFee(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3132

### getHash

- getHash(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3129

### getHeight

- getHeight(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:3141

### getIncomingTransfersList

- getIncomingTransfersList(): XmrIncomingTransfer[]

- #### Returns XmrIncomingTransfer[]

  - Defined in src/protobuf/grpc_pb.d.ts:3147

### getIsConfirmed

- getIsConfirmed(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:3135

### getIsLocked

- getIsLocked(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:3138

### getMetadata

- getMetadata(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3157

### getOutgoingTransfer

- getOutgoingTransfer(): undefined | XmrOutgoingTransfer

- #### Returns undefined | XmrOutgoingTransfer

  - Defined in src/protobuf/grpc_pb.d.ts:3152

### getTimestamp

- getTimestamp(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:3144

### hasOutgoingTransfer

- hasOutgoingTransfer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:3154

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3160

### setFee

- setFee(value: string): XmrTx

- #### Parameters

  - ##### value: string

  #### Returns XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3133

### setHash

- setHash(value: string): XmrTx

- #### Parameters

  - ##### value: string

  #### Returns XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3130

### setHeight

- setHeight(value: number): XmrTx

- #### Parameters

  - ##### value: number

  #### Returns XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3142

### setIncomingTransfersList

- setIncomingTransfersList(value: XmrIncomingTransfer[]): XmrTx

- #### Parameters

  - ##### value: XmrIncomingTransfer[]

  #### Returns XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3148

### setIsConfirmed

- setIsConfirmed(value: boolean): XmrTx

- #### Parameters

  - ##### value: boolean

  #### Returns XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3136

### setIsLocked

- setIsLocked(value: boolean): XmrTx

- #### Parameters

  - ##### value: boolean

  #### Returns XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3139

### setMetadata

- setMetadata(value: string): XmrTx

- #### Parameters

  - ##### value: string

  #### Returns XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3158

### setOutgoingTransfer

- setOutgoingTransfer(value?: XmrOutgoingTransfer): XmrTx

- #### Parameters

  - ##### `Optional` value: XmrOutgoingTransfer

  #### Returns XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3153

### setTimestamp

- setTimestamp(value: number): XmrTx

- #### Parameters

  - ##### value: number

  #### Returns XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3145

### toObject

- toObject(includeInstance?: boolean): XmrTx.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns XmrTx.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3161

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrTx

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3164

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrTx, reader: BinaryReader): XmrTx

- #### Parameters

  - ##### message: XmrTx

  - ##### reader: BinaryReader

  #### Returns XmrTx

  - Defined in src/protobuf/grpc_pb.d.ts:3165

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrTx, writer: BinaryWriter): void

- #### Parameters

  - ##### message: XmrTx

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3163

### `Static` toObject

- toObject(includeInstance: boolean, msg: XmrTx): XmrTx.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrTx

  #### Returns XmrTx.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3162

Generated using TypeDoc